<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <LinearLayout
        android:orientation="horizontal"
        android:id="@+id/llScanAreaBackground"
        android:background="@color/background_preview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="45dp"
        android:layout_below="@+id/navigation_bar" />

    <LinearLayout
        android:orientation="horizontal"
        android:id="@+id/llScanArea"
        android:background="@android:color/transparent"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="45dp"
        android:layout_below="@+id/navigation_bar" />

    <ImageView
        android:id="@+id/ivResult"
        android:background="@color/all_black"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <FrameLayout
        android:id="@+id/flScanResult"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="50dp"
        android:layout_marginBottom="60dp">

        <Button
            android:layout_gravity="right|center_vertical|center_horizontal|center"
            android:id="@+id/btnNext"
            android:background="@drawable/bt_right_1"
            android:layout_width="35dp"
            android:layout_height="75dp"
            android:layout_marginRight="-10dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true" />

        <Button
            android:layout_gravity="center_vertical"
            android:id="@+id/btnPrev"
            android:background="@drawable/bt_left"
            android:layout_width="35dp"
            android:layout_height="75dp"
            android:layout_marginLeft="-10dp"
            android:layout_alignParentLeft="true"
            android:layout_centerVertical="true" />
    </FrameLayout>

    <TextView
        android:textSize="16dp"
        android:textStyle="bold"
        android:textColor="@color/all_white"
        android:id="@+id/tvScanResult"
        android:background="@drawable/scan_result"
        android:paddingLeft="10dp"
        android:paddingTop="5dp"
        android:paddingBottom="5dp"
        android:visibility="gone"
        android:layout_width="wrap_content"
        android:layout_height="35dp"
        android:layout_marginLeft="5dp"
        android:layout_marginBottom="65dp"
        android:scaleType="center"
        android:layout_alignParentBottom="true"
        android:layout_centerVertical="true" />

    <RelativeLayout
        android:id="@+id/llScanFunctionBar"
        style="@style/FunctionBar">

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="wrap_content"
            android:layout_height="match_parent">

            <Button
                android:id="@+id/btnSave"
                android:text="@string/str_save"
                style="@style/FunctionButton.Normal" />

            <Button
                android:id="@+id/btnMail"
                android:text="@string/str_btn_mail"
                style="@style/FunctionButton.Normal" />

            <Button
                android:id="@+id/btnPrint"
                android:text="@string/str_print"
                style="@style/FunctionButton.Normal" />
        </LinearLayout>

        <Button
            android:id="@+id/btnScan"
            android:text="@string/str_scan_btn"
            android:layout_alignParentRight="true"
            style="@style/FunctionButton.Execute" />
    </RelativeLayout>

    <LinearLayout
        android:gravity="center"
        android:orientation="vertical"
        android:id="@+id/llScanningProgress"
        android:visibility="gone"
        style="@style/CoverProgress">

        <TextView
            android:textAppearance="?android:attr/textAppearanceLarge"
            android:textColor="@color/white"
            android:layout_gravity="center_horizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="50dp"
            android:text="@string/str_msg_scan_in_progress" />

        <ProgressBar
            android:layout_gravity="center_horizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="20dp" />

        <Button
            android:layout_gravity="center_horizontal"
            android:id="@+id/btnCancelScan"
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:text="@string/str_cancel" />
    </LinearLayout>
</RelativeLayout>
